local KazAuctionValue = CreateFrame("Frame", "KazAuctionValue")
local AuctionValueTotal = 0
KazAuctionValue:RegisterEvent("ADDON_LOADED")
KazAuctionValue:RegisterEvent("OWNED_AUCTIONS_UPDATED")

KazShownAmount = 0

function KazValueChecker()
	if KazShownAmount == 1 then 
		TotalGold = 0
		local KazAmountAuctions = C_AuctionHouse.GetNumOwnedAuctions()
		for i = 1,KazAmountAuctions do
			KazAuctionInfo = C_AuctionHouse.GetOwnedAuctionInfo(i)
			KazIsSold = KazAuctionInfo.status
			KazQuantity = KazAuctionInfo.quantity
			KazBuyout = KazAuctionInfo.buyoutAmount	
			if KazIsSold == 0 then 
				KazPriceGold = ((KazBuyout*KazQuantity)/10000)
			elseif KazIsSold == 1 then 
				KazPriceGold = (KazBuyout/10000)
			end
			TotalGold = TotalGold+KazPriceGold
		end
		if TotalGold <= 0 then
			TotalGold = "|cffFF0000NoAuctions!"
		else
			TotalGold = tostring(round((TotalGold/1000),1)).."K"
		end
		print("|cffFF0000--------------------------------------------------")
		print("|cffFF0000|                                                 |")
		print("|cffFF0000|     |cff00FF00Value on AH: |cff00FF00"..TotalGold.."                |cffFF0000|")
		print("|cffFF0000|                                                 |")
		print("|cffFF0000--------------------------------------------------")
		KazShownAmount = 0
	else
		KazShownAmount = 1
	end
end

KazAuctionValue:SetScript("OnEvent", function(self, event, addon)
	if event == "OWNED_AUCTIONS_UPDATED" then 
		KazValueChecker()
	end
end)

function round(num, numDecimalPlaces)
  local mult = 10^(numDecimalPlaces or 0)
  return math.floor(num * mult + 0.5) / mult
end

SLASH_KAZAUCTIONVALUE1 = "/Kaz"
SlashCmdList["KAZAUCTIONVALUE"] = KazValueChecker